<div class="movie">
  <ng-content></ng-content>
  <a [routerLink]="['/movies', movie.id]" [title]="movie.title">
    <app-movie-img
      class="movie-img"
      [posterSize]="'w185'"
      [posterPath]="movie.poster_path"
    ></app-movie-img>

    <div class="movie-info">
      <p class="title">
        {{ movie.title }}
      </p>

      <app-star-rating
        class="rating"
        [size]="'w100'"
        [rating]="movie.vote_average"
      ></app-star-rating>

      <span class="date">
        {{ movie.release_date | date: "mediumDate" }}
      </span>
    </div>

    <span [ngClass]="{ adult: movie.adult }"></span>
  </a>
</div>
